/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#ifndef __QNXNTO__
#include <sys/timers.h>
#include <sys/proxy.h>
#include <sys/kernel.h>
#endif

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "trekclock.h"
#include "abimport.h"
#include "proto.h"

extern int mins,hours;
extern void block_base(int);
extern int ALARM[2];
extern PhImage_t *alarm_array[2][2];
extern PtArg_t arg[5];
extern int picture_num,clock_mode;


int
alarm_go( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	///////////////////////////////////////////////////////////////////////
	//Stuff the global ALARM array with the values for hour and minute of the
	//alarm, unblock the base window (this is attached as a done callback
	//so the window and stuff will be closed on our behalf by PhAB.) 
	//////////////////////////////////////////////////////////////////////

	ALARM[0]=hours;
	ALARM[1]=mins;
	block_base(0);

	picture_num=1;

	PtSetArg(&arg[0],Pt_ARG_LABEL_DATA,alarm_array[clock_mode][picture_num],
		sizeof(*alarm_array[clock_mode][picture_num]));
	PtSetResources(ABW_logo,1,arg);
	PtFlush();

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	return( Pt_CONTINUE );

	}

