/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "trekclock.h"
#include "abimport.h"
#include "proto.h"

extern void block_base(int);
extern int ALARM[2];
extern int picture_num,clock_mode;
extern PtArg_t arg[5];
extern PhImage_t *alarm_array[2][2];
extern int picture_num;

int
cancelalarm( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	///////////////////////////////////////////////////////////////////////
	//Clear the alarm if the user clicks cancel and the alarm is set.
	///////////////////////////////////////////////////////////////////////
	block_base(0);
	ALARM[0]=ALARM[1]=100;
	if(picture_num==1)
		{
		picture_num=0;
		PtSetArg(&arg[0],Pt_ARG_LABEL_DATA,alarm_array[clock_mode][picture_num],
			sizeof(*alarm_array[clock_mode][picture_num]));
		PtSetResources(ABW_logo,1,arg);
		PtFlush();
		}

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	return( Pt_CONTINUE );

	}

