/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "trekclock.h"
#include "abimport.h"
#include "proto.h"

extern PhImage_t *fnums[11];
extern PtArg_t arg[5];
extern int hours;


int
change_fhour( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	///////////////////////////////////////////////////////////////////////
	//Determine which widget was pressed - (up or down) and increment or
	//decrement the global mins variable accordingly. Here is where we do
	//the range checking and once we have two integers - one for tens of
	//minutes and one for minutes we can use those as indexes into the 
	//fnums[] array to update the appropriate bitmap with the correct
	//picture.
	///////////////////////////////////////////////////////////////////////
	int m1,m2;

	if(widget==ABW_fhu)
//	if(widget==ABW_uparrow)
		{
		hours++;
		if(hours==24)
			hours=0;
		}
	else
		{
		hours--;
		if(hours==-1)
			hours=23;
		}		
	m1=(hours-(hours%10))/10;
	m2=hours%10;

	PtSetArg(&arg[0],Pt_ARG_LABEL_DATA,fnums[m1],sizeof(*fnums[m1]));
	PtSetResources(ABW_fh10,1,arg);
	PtSetArg(&arg[0],Pt_ARG_LABEL_DATA,fnums[m2],sizeof(*fnums[m2]));
	PtSetResources(ABW_fh1,1,arg);
	PtFlush();

/*
	sprintf(txt,"%d",hours);
	PtSetArg(&arg[0],Pt_ARG_TEXT_STRING,txt,0);
	PtSetResources(ABW_prio,1,arg);
*/

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	return( Pt_CONTINUE );

	}

