/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "trekclock.h"
#include "abimport.h"
#include "proto.h"

extern char almsg[81];
extern PtArg_t arg[5];
extern PhImage_t *alarm_array[2][2];
extern int clock_mode,picture_num;

int
hide_alarm_printout( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	////////////////////////////////////////////////////////////////////
	//Callback attached to the ALARM printout. When the user clicks it 
	//we'll drop in here and hide the message and box, change the logo
	//back to the original.
	////////////////////////////////////////////////////////////////////
	PtSetArg(&arg[0],Pt_ARG_COLOR,Pg_TRANSPARENT,0);
	PtSetArg(&arg[1],Pt_ARG_BOT_BORDER_COLOR,Pg_TRANSPARENT,0);
	PtSetArg(&arg[2],Pt_ARG_TOP_BORDER_COLOR,Pg_TRANSPARENT,0);
	PtSetArg(&arg[3],Pt_ARG_TEXT_STRING," ",0);
	PtSetResources(ABW_alarm_printout,4,arg);

	picture_num=0;
	PtSetArg(&arg[0],Pt_ARG_LABEL_DATA,alarm_array[clock_mode][picture_num],
		sizeof(*alarm_array[clock_mode][picture_num]));
	PtSetResources(ABW_logo,1,arg);

	PtFlush();

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	return( Pt_CONTINUE );

	}

