/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

//////////////////////////////////////////////////////////////////////
//Added for help support
///////////////////////////////////////////////////////////////////////
#include <photon/PxHelp.h>

/* Local headers */
#include "trekclock.h"
#include "abimport.h"
#include "proto.h"

int
logo_help( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	//////////////////////////////////////////////////////////////////////
	//Load the helpviewer with the help pages for Trekclock.
	//////////////////////////////////////////////////////////////////////
	system("helpviewer /usr/help/product/Trekclock/bookset.html &");

	////////////////////////////////////////////////////////////////////
	//PxHelpUrl("/usr/help/product/Trekclock/bookset.html");
	//There seems to be a bug in this call -it won't load the helpviewer,
	//although it will display Trekclock info in the helpviewer if it is
	//already running.
	////////////////////////////////////////////////////////////////////

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	return( Pt_CONTINUE );

	}

